Subject: Re: [Sip] SIP MIB ietf-sip-mib comments - SipTransportProtocol

From: Cullen Jennings <[email-masked]>
Date: Wed, 05 Apr 2006 09:02:45 -0700

works for me - it makes it clear how to a handle future extensions too

On 4/5/06 7:42 AM, "Kevin Lingle (klingle)" <[email-masked]> wrote:

> jean-francois,
> 
> i am fine with what you suggest.   minor syntax issue though.
> the new enum labels you propose cannot have hyphens.
> therefore, they should be tlsTcp(4) and tlsSctp(5).
> 
> kevin
> 
> -----Original Message-----
> From: Jean-Francois Mule [mailto:[email-masked]]
> Sent: Wednesday, April 05, 2006 5:59 AM
> To: Cullen Jennings (fluffy); Samir Srivastava
> Cc: Romascanu, Dan (Dan); Juergen Schoenwaelder; Kevin Lingle (klingle);
> [email-masked]
> Subject: RE: [Sip] SIP MIB ietf-sip-mib comments - SipTransportProtocol
> 
> Cullen, and Samir,
> 
>   Thx for the comments.
>   I will limit this response to your notes on SipTransportProtocol.
> 
> Cullen wrote:
>> SipTransportProtocol
>> It is weird to include TLS given we have TLS for TCP, SCTP, and might
>> have for UDP too.
> 
> Good point.
> Let me bring some context first, then propose some recommendations to the wg
> to close the comment.
> 
> First, this SipTransportProtocol is a textual-convention we designed based on
> the transport layer descriptions in RFC 3261 (section 18, Via header - 20.42).
> A textual-convention is designed as a type and it can evolve as new values are
> added, or as existing general values are refined to derive new specific
> values.
> 
> --> Excerpts from RFC 3261 section 18:
>  - defines sip transport as UDP, TCP, SCTP, TLS over TCP
>   - defines transport ports as:
> "5060 for UDP, TCP and SCTP, 5061 for TLS." (18.1.1)
> "5061 for TLS over TCP" (18.2.1)
>   - 3261 vaguely mentions TLS over SCTP but the text is inconsistent as RFC
> 4168 pointed out and clarified. (side note: should RFC 4168 be considered an
> "update" of RFC3261 - it is not and may it should).
> 
> --> Excerpts from 3261 section 20.42:
>   -  "Transport protocols defined here are "UDP", "TCP", "TLS", and "SCTP".
> "TLS" means TLS over TCP.  When a request is sent to a SIPS URI, the protocol
> still indicates "SIP", and the transport protocol is TLS."
> 
> --> Excerpts from RFC 4168:
>    transport         =  "UDP" / "TCP" / "TLS" / "SCTP" / "TLS-SCTP"
>                         / other-transport
> 
> Not to excuse the way we looked at sip transport but, if you recall, we as
> co-authors expressly wanted or were told to stick to 3261 to manage the scope
> of the mib as many extensions were popping up. We did change the mib to align
> with this direction at some point.
> Then 4168 clarified the BNF for transport and how to express TLS over SCTP.
> 
> 
> ==> Recommendations:
> - rename 'tls(4)' to be 'tls-tcp(4)' and be explicit that bit 4 is for TLS
> over TCP per RFC 3261
> - add a new bit value for 'tls-sctp(5)' for TLS over SCTP and add a sentence
> to say that transport of SIP over SCTP is defined in RFC 4168.
> - add informative reference to RFC 4168
> 
> The new rough text would look like this, feel free to propose enhancements:
>      SipTransportProtocol ::= TEXTUAL-CONVENTION
>               STATUS current
>               DESCRIPTION
>                    "This convention is a bit map.  Each bit represents a
>                     transport protocol.  If a bit has value 1, then that
>                     selected transport protocol is in some way dependent
>                     on the context of the object using this convention.
>                     If a bit has value 0, then that transport protocol
>                     is not selected.  Combinations of bits can be
>                     set when multiple transport protocols are selected.
> 
>                     bit 0 : a protocol other than those defined here.
>                     bit 1 : User Datagram Protocol.
>                     bit 2 : Transmission Control Protocol.
>                     bit 3 : Stream Control Transmission Protocol.
>                     bit 4 : Transport Layer Security Protocol over TCP.
>                     bit 5 : Transport Layer Security Protocol over SCTP.
> SYNTAX     BITS {
>                                other(0),  -- none of the following
>                                udp(1),
>                                tcp(2),
>                                sctp(3),
>                                tls-tcp(4)
>                                tls-sctp(5) -- RFC 4168
>               }
>    --         REFERENCE "RFC 3261, Section 18"
>    --         REFERENCE "RFC 4168"
> 
> Comments welcome.
> Jean-François

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Kevin Lingle \(klingle\)" <[email-masked]>
Date: Wed, 5 Apr 2006 10:42:23 -0400

jean-francois,

kevin

-----Original Message-----
From: Jean-Francois Mule [mailto:[email-masked]] 
Sent: Wednesday, April 05, 2006 5:59 AM
To: Cullen Jennings (fluffy); Samir Srivastava
Cc: Romascanu, Dan (Dan); Juergen Schoenwaelder; Kevin Lingle (klingle); [email-masked]
Subject: RE: [Sip] SIP MIB ietf-sip-mib comments - SipTransportProtocol

Cullen, and Samir,

  Thx for the comments.

> It is weird to include TLS given we have TLS for TCP, SCTP, and might 

Good point.
Let me bring some context first, then propose some recommendations to the wg to close the comment.

First, this SipTransportProtocol is a textual-convention we designed based on the transport layer descriptions in RFC 3261 (section 18, Via header - 20.42). A textual-convention is designed as a type and it can evolve as new values are added, or as existing general values are refined to derive new specific values.

  - 3261 vaguely mentions TLS over SCTP but the text is inconsistent as RFC 4168 pointed out and clarified. (side note: should RFC 4168 be considered an "update" of RFC3261 - it is not and may it should).

--> Excerpts from 3261 section 20.42:
  -  "Transport protocols defined here are "UDP", "TCP", "TLS", and "SCTP". "TLS" means TLS over TCP.  When a request is sent to a SIPS URI, the protocol still indicates "SIP", and the transport protocol is TLS."

Not to excuse the way we looked at sip transport but, if you recall, we as co-authors expressly wanted or were told to stick to 3261 to manage the scope of the mib as many extensions were popping up. We did change the mib to align with this direction at some point.
Then 4168 clarified the BNF for transport and how to express TLS over SCTP.

==> Recommendations:
	- rename 'tls(4)' to be 'tls-tcp(4)' and be explicit that bit 4 is for TLS over TCP per RFC 3261
	- add a new bit value for 'tls-sctp(5)' for TLS over SCTP and add a sentence to say that transport of SIP over SCTP is defined in RFC 4168.
	- add informative reference to RFC 4168

                    bit 5 : Transport Layer Security Protocol over SCTP.              SYNTAX     BITS {

Comments welcome.
Jean-François